package com.jty.wsxt.interfaces.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * AuthAuthorityDto
 *
 * @author Manjiajie
 * @since 2019-2-13 19:19:46
 */
@Data
public class AuthAuthorityDto {

    private Integer id;

    private String code;

    private String name;

    private String url;


    private Integer depth;

    private String ordinal;

    private String  pathIds;

    private List<AuthAuthorityDto> children;

    /**
     * 添加子
     * @param dto
     */
    public void addChild(AuthAuthorityDto dto){
        if(children==null) {
            children =new ArrayList<>();
        }
        children.add(dto);
    }


}
