package com.jty.wsxt;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * 权限验证服务器启动类
 *
 * @author manjiajie
 * @since 2019-6-10 20:59:28
 */
@SpringBootApplication
@EnableEurekaClient
@EnableAsync
public class AuthServerApplication {

    public static void main(String[] args) {
        SpringApplication.run(AuthServerApplication.class,args);
    }
}
