package com.jty.wsxt.application.service;

import com.jty.wsxt.domain.model.auth.history.AuthUserHistory;
import com.jty.nrsc.interfaces.dto.AuthUserHistoryDto;
import com.jty.nrsc.interfaces.dto.OperatorDto;
import org.springframework.data.domain.Page;

/**
 * AuthUserServer
 *
 * @author Manjiajie
 * @since 2019-2-13 19:19:46
 */
public interface AuthUserServer {

    void disableUser(Integer managerId, OperatorDto operatorDto);

    void enableUser(Integer managerId, OperatorDto operatorDto);

    String resetPassword(Integer userId);

    void changePassword(String newPassword,Integer userId);

    Page<AuthUserHistory> findHistoryByManagerId(AuthUserHistoryDto userHistoryDto);
}
